GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/fbsd-tdep.h File Reference

Go to the source code of this file.

## Functions
void | fbsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)

## Function Documentation

## ◆ fbsd_init_abi()

void fbsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 516 of file fbsd-tdep.c.

References fbsd_core_pid_to_str(), fbsd_core_thread_name(), fbsd_core_xfer_siginfo(), fbsd_get_siginfo_type(), fbsd_get_syscall_number(), fbsd_make_corefile_notes(), fbsd_print_auxv_entry(), set_gdbarch_core_pid_to_str(), set_gdbarch_core_thread_name(), set_gdbarch_core_xfer_siginfo(), set_gdbarch_get_siginfo_type(), set_gdbarch_get_syscall_number(), set_gdbarch_make_corefile_notes(), set_gdbarch_print_auxv_entry(), and set_xml_syscall_file_name().

Referenced by aarch64_fbsd_init_abi(), amd64fbsd_init_abi(), arm_fbsd_init_abi(), i386fbsd4_init_abi(), mips_fbsd_init_abi(), ppcfbsd_init_abi(), and sparc64fbsd_init_abi().